using System;

internal sealed class Delegate542 : MulticastDelegate
{
	public extern int Invoke(ref TimeSpan timeSpan_0);

	public static int smethod_0(ref TimeSpan timeSpan_0, Delegate542 delegate542_1)
	{
		return delegate542_1(ref timeSpan_0);
	}

	public extern Delegate542(object object_0, IntPtr intptr_0);

	static Delegate542()
	{
		Class10.smethod_13(typeof(Delegate542).TypeHandle);
	}

	internal static Delegate542 delegate542_0;
}
